> For the complete documentation index, see [llms.txt](https://docs.digit.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digit.org/public-finance/v2.3/platform/release-notes/migration-to-digit-architecture/migration-steps-adapter.md).

# Migration Steps - Adapter

1. Deploy `ifix-migration-toolkit-db:develop-2557812-9` to `mgramseva` environment.&#x20;
2. Port forward to the ifix-migration-toolkit pod

#### Instruction

The following common request body is used to hit the ifix-migration-toolkit endpoints:

```
{
    "requestHeader": {}
    "tenantId": "<tenant-id>"
}
```

## Migrate ifix-department-entity-service

1. First, deploy the latest image of the ifix-department-entity-service
   1. (So that the tables get created in PostgreSQL.)
2. Deploy plain search docker image of ifix-department-entity-service:

   ```
   egovio/ifix-department-entity-service-db:mongodb-plainsearch-b12bf24-4
   ```
3. Ensure [department-entity-persister.yml](https://github.com/egovernments/config-mgramseva/blob/QA/egov-persister/department-entity-persister.yml) is configured in the egov-persister.
4. (Ensure [department-entity-migration-progress](https://github.com/egovernments/config-mgramseva/blob/QA/egov-persister/department-entity-migration-progress.yml) is configured in egov-persister to record the progress of the migration. In case of any failures during migration, with this, it will resume the migration from where it left off. )
5. Hit the Department Hierarchy migrate endpoint of the migration-toolkit&#x20;

   ```
   /ifix-migration-toolkit/department_hierarchy/v1/_migrate
   ```
6. Hit the Department Entity migrate endpoint of the migration-toolkit&#x20;

   ```
   /ifix-migration-toolkit/department_entity/v1/_migrate
   ```

## Migrate adapter-master-data-service

1. First, deploy the latest image of the ifix-department-entity-service
   1. (So that the tables get created in PostgreSQL.)
2. Deploy plain search docker image of ifix-department-entity-service:

   ```
   egovio/adapter-master-data-service-db:mongodb-plainsearch-b12bf24-5
   ```
3. Ensure [adapter-master-data-service.yml](https://github.com/egovernments/config-mgramseva/blob/QA/egov-persister/adapter-master-data-service.yml) is configured in egov-persister.
4. Hit the Department migrate endpoint of the migration-toolkit&#x20;

   ```
   /ifix-migration-toolkit/department/v1/_migrate
   ```
5. Hit the Expenditure migrate endpoint of the migration-toolkit&#x20;

   ```
   /ifix-migration-toolkit/expenditure/v1/_migrate
   ```
6. Hit the Project migrate endpoint of the migration-toolkit&#x20;

   ```
   /ifix-migration-toolkit/project/v1/_migrate
   ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digit.org/public-finance/v2.3/platform/release-notes/migration-to-digit-architecture/migration-steps-adapter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
